class Stack<T> {

	private Object[] objects;
	private int next;

	public Stack(int size) {
		this.objects = new Object[size];
		this.next = 0;
	}

	public void push(T elem) {
		this.objects[this.next++] = elem;
	}

	@SuppressWarnings("unchecked")
	public T pop() {
		return (T) this.objects[--this.next];
	}

	public boolean isEmpty() {
		return this.next == 0;
	}

	public boolean isFull() {
		return this.next == this.objects.length;
	}
}

public class UE23Aufgabe3 {

	// Test
	public static void main(String[] args) {
		Stack<Integer> stack = new Stack<Integer>(10);
		stack.push(4711);
		stack.push(555);
		stack.push(678);

		while (!stack.isEmpty()) {
			int neg = stack.pop() * -1;
			System.out.println(neg);
		}
	}

}
