import java.util.Collection;
import java.util.Random;

class Shuffler {

	@SuppressWarnings("unchecked")
	public static <T> void shuffle(Collection<T> coll) {
		Random random = new Random();
		Object[] objects = new Object[coll.size()];
		for (Object obj : coll) {
			int index = random.nextInt(coll.size());
			while (objects[index] != null) {
				index = random.nextInt(coll.size());
			}
			objects[index] = obj;
		}
		coll.clear();
		for (Object obj : objects) {
			coll.add((T) obj);
		}
	}
}

public class UE23Aufgabe8 {

	public static void main(String[] args) {
		java.util.ArrayList<Integer> l = new java.util.ArrayList<Integer>();
		l.add(1);
		l.add(2);
		l.add(3);
		l.add(4);
		Shuffler.shuffle(l);
		for (int v : l) {
			System.out.println(v);
		}
	}

}
